<?php
namespace App\Http\Controllers;
use App\Repositories\ConfigStoreTypeRepository;
use App\Transformers\ConfigStoreTypeTransformer;
use Illuminate\Http\Request;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
use League\Fractal\Resource\Collection;
use League\Fractal\Manager;
/**
 * Created by PhpStorm.
 * User: qinyaer
 * Date: 2019/4/23
 * Time: 下午3:56
 */

class StoreTypeController extends BaseController
{

    public function __construct(ConfigStoreTypeRepository $configStoreTypeRepository)
    {
        $this->configStoreTypeRepository = $configStoreTypeRepository;
    }

    //分类列表
    public function index(Request $request)
    {

        $configStoreType = $this->configStoreTypeRepository->index($request->all());
        $fractal = new Manager();
        $resource = new Collection($configStoreType, new ConfigStoreTypeTransformer());
        $resource->setPaginator(new IlluminatePaginatorAdapter($configStoreType));
        $data = $fractal->createData($resource)->toArray();
        $data['extra'] = [
            'filters' => [
                'id'
            ],
            'columns' => [
                'id',
                'name',
            ]
        ];
        return $data;
    }

}