<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableConfigPickupNode extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('config_pickup_node', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('city_id');     //城市ID
            $table->integer('pickup_group_id');     //分组ID
            $table->integer('store_ids');     //储存方式ID
            $table->string('city_name',20);   //城市名称
            $table->string('name',20);   //名称
            $table->string('address',200);  //自提点地址
            $table->string('longitude',100);  //经度
            $table->string('latitude',100);  //纬度
            $table->string('pickup_code',50);    //自提点编码
            $table->dateTime('work_time');                 //自提时间
            $table->string('manager_name',50)->nullable();   //负责人
            $table->string('manager_mobile',20);  //负责人电话
            $table->tinyInteger('receive_type')->default(1);  // 接货方式：0.信任交付;1.手动确认接货
            $table->tinyInteger('status')->default(1);        //状态: 0.禁用；1.启用
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('config_pickup_node');
    }
}
