<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateConfigBannerTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('config_banner', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name', 20)->nullable()->comment('社区-banner名称');
            $table->integer('link_content_id')->nullable()->comment('社区-链接内容id:用户/内容/活动/话题ID');
            $table->string('image', 255)->nullable()->comment('社区-banner图片');
            $table->tinyInteger('type')->nullable()->comment('社区-banner类型:0.纯展示;1.内容;2.用户;3.活动;4.话题');
            $table->tinyInteger('use_background')->comment('使用后台:0.CMS;1.社区后台');
            $table->tinyInteger('is_open')->nullable()->comment('社区-开关状态:0:关闭;1:开启');
            $table->integer('tpl_id')->nullable()->comment('cms-模板ID');
            $table->json('rule')->nullable()->comment('cms-设置项');
            $table->tinyInteger('status')->nullable()->comment('cms-状态:0:草稿;1:发布');
            $table->tinyInteger('area_type')->nullable()->comment('cms-板块类型:0:banner;1:专题广告;2.商品楼层;3.分类专题(菜市场)');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('config_banner');
    }
}
